zenilib: SDL_MouseMotionEvent Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_MouseMotionEvent Struct Reference

Mouse motion event structure (event.motion.*) More...

`#include <SDL_events.h>`

## Public Attributes

Uint32 | state
Uint32 | timestamp
Uint32 | type
Uint32 | which
Uint32 | windowID
Sint32 | x
Sint32 | xrel
Sint32 | y
Sint32 | yrel

## Detailed Description

Mouse motion event structure (event.motion.*)

Definition at line 218 of file SDL_events.h.

## Member Data Documentation

Uint32 SDL_MouseMotionEvent::state

The current button state

Definition at line 224 of file SDL_events.h.

Uint32 SDL_MouseMotionEvent::timestamp

Definition at line 221 of file SDL_events.h.

Uint32 SDL_MouseMotionEvent::type

SDL_MOUSEMOTION

Definition at line 220 of file SDL_events.h.

Uint32 SDL_MouseMotionEvent::which

The mouse instance id, or SDL_TOUCH_MOUSEID

Definition at line 223 of file SDL_events.h.

Uint32 SDL_MouseMotionEvent::windowID

The window with mouse focus, if any

Definition at line 222 of file SDL_events.h.

Referenced by SDLTest_PrintEvent().

Sint32 SDL_MouseMotionEvent::x

X coordinate, relative to window

Definition at line 225 of file SDL_events.h.

Referenced by Zeni::Widget::on_event(), SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

Sint32 SDL_MouseMotionEvent::xrel

The relative motion in the X direction

Definition at line 227 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

Sint32 SDL_MouseMotionEvent::y

Y coordinate, relative to window

Definition at line 226 of file SDL_events.h.

Referenced by Zeni::Widget::on_event(), SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

Sint32 SDL_MouseMotionEvent::yrel

The relative motion in the Y direction

Definition at line 228 of file SDL_events.h.

Referenced by Zeni::Gamestate_II::on_event(), SDL_RendererEventWatch(), SDLTest_CommonEvent(), and SDLTest_PrintEvent().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/SDL/SDL_events.h